## krita 5.2.9+dfsg

=== libs/image/CMakeLists.txt ===
add_subdirectory( tests )

add_subdirectory( tiles3 )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
    ${CMAKE_CURRENT_SOURCE_DIR}/brushengine
    ${CMAKE_CURRENT_SOURCE_DIR}/commands
    ${CMAKE_CURRENT_SOURCE_DIR}/commands_new
    ${CMAKE_CURRENT_SOURCE_DIR}/filter
    ${CMAKE_CURRENT_SOURCE_DIR}/floodfill
    ${CMAKE_CURRENT_SOURCE_DIR}/generator
    ${CMAKE_CURRENT_SOURCE_DIR}/layerstyles
    ${CMAKE_CURRENT_SOURCE_DIR}/processing
)

if(FFTW3_FOUND)
  include_directories(${FFTW3_INCLUDE_DIR})
endif()

if(HAVE_XSIMD)
  ko_compile_for_all_implementations_no_scalar(__per_arch_circle_mask_generator_objs kis_brush_mask_applicator_factories.cpp)
  ko_compile_for_all_implementations_no_scalar(_per_arch_processor_objs kis_brush_mask_processor_factories.cpp)

  message("Following objects are generated from the per-arch lib")
  foreach(_obj IN LISTS __per_arch_circle_mask_generator_objs _per_arch_processor_objs)
    message("    * ${_obj}")
  endforeach()
endif()

set(kritaimage_LIB_SRCS
   tiles3/kis_tile.cc
   tiles3/kis_tile_data.cc
   tiles3/kis_tile_data_store.cc
   tiles3/kis_tile_data_pooler.cc
   tiles3/kis_tiled_data_manager.cc
   tiles3/KisTiledExtentManager.cpp
   tiles3/kis_memento_manager.cc
   tiles3/kis_hline_iterator.cpp
   tiles3/kis_vline_iterator.cpp
   tiles3/kis_random_accessor.cc
   tiles3/swap/kis_abstract_compression.cpp
   tiles3/swap/kis_lzf_compression.cpp
   tiles3/swap/kis_abstract_tile_compressor.cpp
   tiles3/swap/kis_legacy_tile_compressor.cpp
   tiles3/swap/kis_tile_compressor_2.cpp
   tiles3/swap/kis_chunk_allocator.cpp
   tiles3/swap/kis_memory_window.cpp
   tiles3/swap/kis_swapped_data_store.cpp
   tiles3/swap/kis_tile_data_swapper.cpp
   kis_distance_information.cpp
   kis_painter.cc
   kis_painter_blt_multi_fixed.cpp
   kis_marker_painter.cpp
   KisOverlayPaintDeviceWrapper.cpp
   kis_progress_updater.cpp
   KisAnimatedOpacityProperty.cpp
   brushengine/kis_paint_information.cc
   brushengine/kis_random_source.cpp
   brushengine/KisPerStrokeRandomSource.cpp
   brushengine/kis_stroke_random_source.cpp
   brushengine/kis_paintop.cc
   brushengine/kis_paintop_factory.cpp
   brushengine/kis_paintop_preset.cpp
   brushengine/kis_paintop_registry.cc
   brushengine/kis_paintop_settings.cpp
   brushengine/KisPaintOpPresetUpdateProxy.cpp
   brushengine/kis_paintop_utils.cpp
   brushengine/kis_no_size_paintop_settings.cpp
   brushengine/kis_locked_properties.cc
   brushengine/kis_locked_properties_proxy.cpp
   brushengine/kis_locked_properties_server.cpp
   brushengine/kis_paintop_config_widget.cpp
   brushengine/kis_uniform_paintop_property.cpp
   brushengine/kis_combo_based_paintop_property.cpp
   brushengine/kis_slider_based_paintop_property.cpp
   brushengine/kis_standard_uniform_properties_factory.cpp
   brushengine/KisStrokeSpeedMeasurer.cpp
   brushengine/KisPaintopSettingsIds.cpp
   brushengine/KisOptimizedBrushOutline.cpp
   commands/kis_deselect_global_selection_command.cpp
   commands/KisDeselectActiveSelectionCommand.cpp
   commands/kis_image_change_layers_command.cpp
   commands/kis_image_change_visibility_command.cpp
   commands/kis_image_command.cpp
   commands/kis_image_layer_add_command.cpp
   commands/kis_image_layer_move_command.cpp
   commands/kis_image_layer_remove_command.cpp
   commands/kis_image_layer_remove_command_impl.cpp
   commands/kis_node_command.cpp
   commands/kis_node_compositeop_command.cpp
   commands/kis_node_opacity_command.cpp
   commands/kis_node_property_list_command.cpp
   commands/kis_reselect_global_selection_command.cpp
   commands/KisReselectActiveSelectionCommand.cpp
   commands/kis_set_global_selection_command.cpp
   commands/KisNodeRenameCommand.cpp
   commands/KisBatchUpdateLayerModificationCommand
   commands_new/kis_saved_commands.cpp
   commands_new/kis_processing_command.cpp
   commands_new/kis_image_resize_command.cpp
   commands_new/kis_image_set_resolution_command.cpp
   commands_new/kis_node_move_command2.cpp
   commands_new/kis_set_layer_style_command.cpp
   commands_new/kis_selection_move_command2.cpp
   commands_new/kis_update_command.cpp
   commands_new/kis_switch_current_time_command.cpp
   commands_new/kis_change_projection_color_command.cpp
   commands_new/kis_activate_selection_mask_command.cpp
   commands_new/kis_transaction_based_command.cpp
   commands_new/KisHoldUIUpdatesCommand.cpp
   commands_new/KisChangeChannelFlagsCommand.cpp
   commands_new/KisChangeChannelLockFlagsCommand.cpp
   commands_new/KisMergeLabeledLayersCommand.cpp
   commands_new/KisAsynchronouslyMergeableCommandInterface.cpp
   commands_new/KisSimpleModifyTransformMaskCommand.cpp
   commands_new/KisUpdateCommandEx.cpp
   commands_new/KisDisableDirtyRequestsCommand.cpp
   commands_new/KisResetGroupLayerCacheCommand.cpp
   commands_new/KisLazyCreateTransformMaskKeyframesCommand.cpp
   commands_new/KisChangeCloneLayersCommand.cpp
   processing/kis_do_nothing_processing_visitor.cpp
   processing/kis_simple_processing_visitor.cpp
   processing/kis_convert_color_space_processing_visitor.cpp
   processing/kis_assign_profile_processing_visitor.cpp
   processing/kis_crop_processing_visitor.cpp
   processing/kis_crop_selections_processing_visitor.cpp
   processing/kis_transform_processing_visitor.cpp
   processing/kis_mirror_processing_visitor.cpp
   processing/KisSelectionBasedProcessingHelper.cpp
   filter/kis_filter.cc
   filter/kis_filter_category_ids.cpp
   filter/kis_filter_configuration.cc
   filter/kis_color_transformation_configuration.cc
   filter/kis_filter_registry.cc
   filter/kis_color_transformation_filter.cc
   generator/kis_generator.cpp
   generator/kis_generator_layer.cpp
   generator/kis_generator_registry.cpp
   generator/kis_generator_stroke_strategy.cpp
   floodfill/kis_fill_interval_map.cpp
   floodfill/kis_scanline_fill.cpp
   lazybrush/kis_min_cut_worker.cpp
   lazybrush/kis_lazy_fill_tools.cpp
   lazybrush/kis_multiway_cut.cpp
   lazybrush/KisWatershedWorker.cpp
   lazybrush/kis_colorize_mask.cpp
   lazybrush/kis_colorize_stroke_strategy.cpp
   KisFrameChangeUpdateRecipe.cpp
   KisAnimAutoKey.cpp
   KisDelayedUpdateNodeInterface.cpp
   KisCroppedOriginalLayerInterface.cpp
   KisDecoratedNodeInterface.cpp
   kis_adjustment_layer.cc
   kis_selection_based_layer.cpp
   kis_node_filter_interface.cpp
   kis_base_accessor.cpp
   kis_base_node.cpp
   kis_base_processor.cpp
   kis_bookmarked_configuration_manager.cc
   KisBusyWaitBroker.cpp
   KisBatchNodeUpdate.cpp
   KisSafeBlockingQueueConnectionProxy.cpp
   kis_node_uuid_info.cpp
   kis_clone_layer.cpp
   kis_config_widget.cpp
   kis_convolution_kernel.cc
   kis_convolution_painter.cc
   kis_gaussian_kernel.cpp
   kis_edge_detection_kernel.cpp
   kis_cubic_curve.cpp
   KisLevelsCurve.cpp
   KisAutoLevels.cpp
   kis_default_bounds.cpp
   kis_default_bounds_node_wrapper.cpp
   kis_default_bounds_base.cpp
   kis_effect_mask.cc
   kis_fast_math.cpp
   kis_fill_painter.cc
   kis_filter_mask.cpp
   kis_filter_strategy.cc
   kis_transform_mask.cpp
   kis_transform_mask_params_interface.cpp
   kis_recalculate_transform_mask_job.cpp
   kis_transform_mask_params_factory_registry.cpp
   KisTransformMaskTestingInterface.cpp
   kis_safe_transform.cpp
   kis_gradient_painter.cc
   kis_gradient_shape_strategy.cpp
   kis_cached_gradient_shape_strategy.cpp
   kis_polygonal_gradient_shape_strategy.cpp
   kis_iterator_ng.cpp
   kis_base_rects_walker.cpp
   kis_async_merger.cpp
   kis_merge_walker.cc
   kis_updater_context.cpp
   kis_update_job_item.cpp
   kis_stroke_strategy_undo_command_based.cpp
   kis_simple_stroke_strategy.cpp
   KisRunnableBasedStrokeStrategy.cpp
   KisRunnableStrokeJobDataBase.cpp
   KisRunnableStrokeJobData.cpp
   KisRunnableStrokeJobsInterface.cpp
   KisFakeRunnableStrokeJobsExecutor.cpp
   kis_stroke_job_strategy.cpp
   kis_stroke_strategy.cpp
   kis_stroke.cpp
   kis_strokes_queue.cpp
   KisStrokesQueueMutatedJobInterface.cpp
   kis_simple_update_queue.cpp
   kis_update_scheduler.cpp
   kis_queues_progress_updater.cpp
   kis_composite_progress_proxy.cpp
   kis_sync_lod_cache_stroke_strategy.cpp
   kis_lod_capable_layer_offset.cpp
   kis_update_time_monitor.cpp
   KisImageConfigNotifier.cpp
   kis_group_layer.cc
   kis_external_layer_iface.cc
   kis_count_visitor.cpp
   kis_histogram.cc
   kis_image_interfaces.cpp
   kis_image_animation_interface.cpp
   kis_time_span.cpp
   kis_node_graph_listener.cpp
   kis_image.cc
   kis_image_signal_router.cpp
   KisImageSignals.cpp
   kis_image_config.cpp
   KisImageResolutionProxy.cpp
   kis_projection_updates_filter.cpp
   kis_suspend_projection_updates_stroke_strategy.cpp
   kis_regenerate_frame_stroke_strategy.cpp
   kis_switch_time_stroke_strategy.cpp
   kis_crop_saved_extra_data.cpp
   kis_timed_signal_threshold.cpp
   kis_layer.cc
   kis_indirect_painting_support.cpp
   kis_abstract_projection_plane.cpp
   kis_layer_projection_plane.cpp
   kis_layer_utils.cpp
   kis_mask_projection_plane.cpp
   kis_projection_leaf.cpp
   KisSafeNodeProjectionStore.cpp
   kis_mask.cc
   kis_base_mask_generator.cpp
   kis_rect_mask_generator.cpp
   kis_circle_mask_generator.cpp
   kis_gauss_circle_mask_generator.cpp
   kis_gauss_rect_mask_generator.cpp
   ${__per_arch_circle_mask_generator_objs}
   ${_per_arch_processor_objs}
   kis_brush_mask_applicator_factories_Scalar.cpp
   kis_curve_circle_mask_generator.cpp
   kis_curve_rect_mask_generator.cpp
   kis_math_toolbox.cpp
   kis_memory_statistics_server.cpp
   kis_name_server.cpp
   kis_node.cpp
   kis_node_facade.cpp
   kis_node_progress_proxy.cpp
   kis_busy_progress_indicator.cpp
   kis_node_visitor.cpp
   kis_paint_device.cc
   kis_paint_device_debug_utils.cpp
   kis_fixed_paint_device.cpp
   KisOptimizedByteArray.cpp
   kis_paint_layer.cc
   kis_perspective_math.cpp
   kis_pixel_selection.cpp
   kis_processing_information.cpp
   kis_properties_configuration.cc
   kis_random_accessor_ng.cpp
   kis_random_generator.cc
   kis_random_sub_accessor.cpp
   kis_wrapped_random_accessor.cpp
   kis_selection.cc
   KisSelectionUpdateCompressor.cpp
   kis_selection_mask.cpp
   kis_update_outline_job.cpp
   kis_update_selection_job.cpp
   kis_serializable_configuration.cc
   kis_transaction_data.cpp
   KisTransactionWrapperFactory.cpp
   KisInterstrokeDataTransactionWrapperFactory.cpp
   KisInterstrokeData.cpp
   KisInterstrokeDataFactory.cpp
   kis_transform_worker.cc
   kis_perspectivetransform_worker.cpp
   bsplines/kis_bspline_1d.cpp
   bsplines/kis_bspline_2d.cpp
   bsplines/kis_nu_bspline_2d.cpp
   kis_warptransform_worker.cc
   kis_cage_transform_worker.cpp
   kis_liquify_transform_worker.cpp
   kis_green_coordinates_math.cpp
   kis_transparency_mask.cc
   kis_undo_adapter.cpp
   kis_macro_based_undo_store.cpp
   kis_surrogate_undo_adapter.cpp
   kis_legacy_undo_adapter.cpp
   kis_post_execution_undo_adapter.cpp
   kis_processing_visitor.cpp
   kis_processing_applicator.cpp
   krita_utils.cpp
   kis_outline_generator.cpp
   kis_layer_composition.cpp
   kis_selection_filters.cpp
   KisProofingConfiguration.h
   KisRecycleProjectionsJob.cpp
   kis_selection_component.cc

   kis_keyframe.cpp
   kis_keyframe_channel.cpp
   kis_keyframe_commands.cpp
   kis_scalar_keyframe_channel.cpp
   kis_raster_keyframe_channel.cpp
   kis_onion_skin_compositor.cpp
   kis_onion_skin_cache.cpp
   kis_idle_watcher.cpp

   kis_layer_properties_icons.cpp

   layerstyles/kis_multiple_projection.cpp
   layerstyles/kis_layer_style_filter.cpp
   layerstyles/kis_layer_style_filter_environment.cpp
   layerstyles/kis_layer_style_filter_projection_plane.cpp
   layerstyles/kis_layer_style_projection_plane.cpp
   layerstyles/KisStrokeLayerStyleFilterProjectionPlane.cpp
   layerstyles/kis_ls_drop_shadow_filter.cpp
   layerstyles/kis_ls_satin_filter.cpp
   layerstyles/kis_ls_stroke_filter.cpp
   layerstyles/kis_ls_bevel_emboss_filter.cpp
   layerstyles/kis_ls_overlay_filter.cpp
   layerstyles/kis_ls_utils.cpp
   layerstyles/gimp_bump_map.cpp

=== libs/ui/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/qtlockedfile
)

if (ANDROID)
    # We explicitly set QT_OPENGL_ES_3 here because Qt for some reason does
    # not enable this for Android.
    # See also: https://bugreports.qt.io/browse/QTBUG-64703
    # This is not needed for ARM GNU/Linux environments.
    add_definitions(-DQT_OPENGL_ES_3)
    include_directories (${Qt5AndroidExtras_INCLUDE_DIRS})
endif()

add_subdirectory( tests )

if (APPLE)
    find_library(FOUNDATION_LIBRARY Foundation)
    find_library(APPKIT_LIBRARY AppKit)
endif ()

set(kritaui_LIB_SRCS
    canvas/kis_canvas_widget_base.cpp
    canvas/kis_canvas2.cpp
    canvas/kis_canvas_updates_compressor.cpp
    canvas/kis_canvas_controller.cpp
    canvas/kis_display_color_converter.cpp
    canvas/kis_display_filter.cpp
    canvas/kis_exposure_gamma_correction_interface.cpp
    canvas/kis_tool_proxy.cpp
    canvas/kis_canvas_decoration.cc
    canvas/kis_coordinates_converter.cpp
    canvas/kis_grid_manager.cpp
    canvas/kis_grid_decoration.cpp
    canvas/kis_grid_config.cpp
    canvas/kis_prescaled_projection.cpp
    canvas/kis_qpainter_canvas.cpp
    canvas/kis_projection_backend.cpp
    canvas/kis_update_info.cpp
    canvas/kis_image_patch.cpp
    canvas/kis_image_pyramid.cpp
    canvas/kis_infinity_manager.cpp
    canvas/kis_change_guides_command.cpp
    canvas/kis_guides_decoration.cpp
    canvas/kis_guides_manager.cpp
    canvas/kis_guides_config.cpp
    canvas/kis_snap_config.cpp
    canvas/kis_snap_line_strategy.cpp
    canvas/KisSnapPointStrategy.cpp
    canvas/KisSnapPixelStrategy.cpp
    canvas/KisMirrorAxisConfig.cpp

    dialogs/kis_about_application.cpp
    dialogs/kis_dlg_adj_layer_props.cc
    dialogs/kis_dlg_adjustment_layer.cc
    dialogs/kis_dlg_filter.cpp
    dialogs/kis_dlg_generator_layer.cpp
    dialogs/kis_dlg_file_layer.cpp
    dialogs/kis_dlg_filter.cpp
    dialogs/kis_dlg_stroke_selection_properties.cpp
    dialogs/kis_dlg_image_properties.cc
    dialogs/kis_dlg_layer_properties.cc
    dialogs/kis_dlg_paste_format.cpp
    dialogs/kis_dlg_preferences.cc
    dialogs/slider_and_spin_box_sync.cpp
    dialogs/kis_dlg_layer_style.cpp
    dialogs/kis_dlg_png_import.cpp
    dialogs/kis_dlg_import_image_sequence.cpp
    dialogs/kis_delayed_save_dialog.cpp
    dialogs/KisSessionManagerDialog.cpp
    dialogs/KisNewWindowLayoutDialog.cpp
    dialogs/KisDlgChangeCloneSource.cpp
    dialogs/KisRecoverNamedAutosaveDialog.cpp
    dialogs/KisDlgSavePreset.cpp
    dialogs/kis_dlg_missing_color_profile.cpp
    dialogs/kis_dlg_hlg_import.cpp
    dialogs/KisDlgConfigureCumulativeUndo.cpp
    dialogs/KisCumulativeUndoModel.cpp
    dialogs/KisColorSpaceConversionDialog.cpp

    flake/kis_node_dummies_graph.cpp
    flake/kis_dummies_facade_base.cpp
    flake/kis_dummies_facade.cpp
    flake/kis_node_shapes_graph.cpp
    flake/kis_node_shape.cpp
    flake/kis_shape_controller.cpp
    flake/kis_shape_layer.cc
    flake/kis_shape_layer_canvas.cpp
    flake/kis_shape_selection.cpp
    flake/kis_shape_selection_canvas.cpp
    flake/kis_shape_selection_model.cpp
    flake/kis_take_all_shapes_command.cpp
    brushhud/kis_uniform_paintop_property_widget.cpp
    brushhud/kis_brush_hud.cpp
    brushhud/kis_round_hud_button.cpp
    brushhud/kis_dlg_brush_hud_config.cpp
    brushhud/kis_brush_hud_properties_list.cpp
    brushhud/kis_brush_hud_properties_config.cpp

    kis_aspect_ratio_locker.cpp
    kis_bookmarked_configurations_editor.cc
    kis_bookmarked_configurations_model.cc
    kis_bookmarked_filter_configurations_model.cc
    KisPaintopPropertiesBase.cpp
    KisPlaybackEngine.cpp
    KisPlaybackEngineQT.cpp
    KisPresetShadowUpdater.cpp
    kis_canvas_resource_provider.cpp
    kis_derived_resources.cpp
    kis_categories_mapper.cpp
    kis_categorized_list_model.cpp
    kis_categorized_item_delegate.cpp
    kis_clipboard.cc
    kis_config.cc
    KisOcioConfiguration.cpp
    kis_control_frame.cpp
    kis_composite_ops_model.cc
    KisDisplayConfig.cpp
    kis_paint_ops_model.cpp
    kis_custom_pattern.cc
    kis_file_layer.cpp
    kis_change_file_layer_command.h
    kis_safe_document_loader.cpp
    kis_splash_screen.cpp
    kis_filter_manager.cc
    kis_filters_model.cc
    kis_image_manager.cc
    kis_image_view_converter.cpp
    kis_import_catcher.cc
    kis_layer_manager.cc
    kis_mask_manager.cc
    kis_mimedata.cpp
    kis_node_commands_adapter.cpp
    kis_node_manager.cpp
    kis_node_juggler_compressed.cpp
    kis_node_selection_adapter.cpp
    kis_node_insertion_adapter.cpp
    KisNodeDisplayModeAdapter.cpp
    kis_node_model.cpp
    kis_node_filter_proxy_model.cpp
    kis_model_index_converter_base.cpp
    kis_model_index_converter.cpp
    kis_model_index_converter_show_all.cpp
    KisLayerThumbnailCache.cpp
    kis_painting_assistant.cc
    kis_painting_assistants_decoration.cpp
    KisDecorationsManager.cpp
    kis_paintop_box.cc
    kis_paintop_option.cpp
    kis_paintop_options_model.cpp
    kis_paintop_settings_widget.cpp
    kis_popup_palette.cpp
    kis_png_converter.cpp
    kis_preference_set_registry.cpp
    KisResourceServerProvider.cpp
    KisSelectedShapesProxy.cpp
    kis_selection_decoration.cc
    kis_selection_manager.cc
    KisSelectionActionsAdapter.cpp
    kis_statusbar.cc
    kis_zoom_manager.cc
    kis_favorite_resource_manager.cpp
    kis_workspace_resource.cpp
    kis_action.cpp
    kis_action_manager.cpp
    KisActionPlugin.cpp
    kis_canvas_controls_manager.cpp
    kis_multinode_property.cpp
    KisWelcomePageWidget.cpp
    KisUiFont.cpp
    KisIdleTasksManager.cpp
    KisIdleTaskStrokeStrategy.cpp
    KisImageThumbnailStrokeStrategy.cpp

    opengl/kis_opengl.cpp
    opengl/kis_opengl_canvas2.cpp
    opengl/kis_opengl_canvas_debugger.cpp
    opengl/kis_opengl_image_textures.cpp
    opengl/kis_texture_tile.cpp
    opengl/kis_opengl_shader_loader.cpp
    opengl/kis_texture_tile_info_pool.cpp
    opengl/KisOpenGLUpdateInfoBuilder.cpp
    opengl/KisOpenGLModeProber.cpp
    opengl/KisScreenInformationAdapter.cpp
    opengl/KisOpenGLBufferCircularStorage.cpp
    opengl/KisOpenGLSync.cpp
    opengl/KisOpenGLBufferCreationGuard.cpp
    opengl/KisOpenGLCanvasRenderer.cpp
    kis_fps_decoration.cpp

    tool/KisToolChangesTracker.cpp
    tool/KisToolChangesTrackerData.cpp
    tool/kis_selection_tool_helper.cpp
    tool/kis_selection_tool_config_widget_helper.cpp
    tool/kis_rectangle_constraint_widget.cpp
    tool/kis_shape_tool_helper.cpp
    tool/kis_tool.cc
    tool/kis_delegated_tool_policies.cpp
    tool/kis_tool_freehand.cc
    tool/kis_speed_smoother.cpp
    tool/kis_painting_information_builder.cpp
    tool/kis_stabilized_events_sampler.cpp
    tool/kis_tool_freehand_helper.cpp
    tool/kis_tool_multihand_helper.cpp
    tool/kis_figure_painting_tool_helper.cpp
    tool/KisAsynchronousStrokeUpdateHelper.cpp
    tool/kis_tool_paint.cc
    tool/kis_tool_shape.cc
    tool/kis_tool_ellipse_base.cpp
    tool/kis_tool_rectangle_base.cpp
    tool/kis_tool_polyline_base.cpp
    tool/KisToolOutlineBase.cpp
    tool/kis_tool_utils.cpp
    tool/kis_resources_snapshot.cpp
    tool/KisStrokeCompatibilityInfo.cpp
    tool/kis_smoothing_options.cpp
    tool/KisStabilizerDelayedPaintHelper.cpp
    tool/KisStrokeSpeedMonitor.cpp
    tool/strokes/freehand_stroke.cpp
    tool/strokes/KisStrokeEfficiencyMeasurer.cpp
    tool/strokes/kis_painter_based_stroke_strategy.cpp
    tool/strokes/kis_filter_stroke_strategy.cpp
    tool/strokes/kis_color_sampler_stroke_strategy.cpp
    tool/strokes/KisFreehandStrokeInfo.cpp
    tool/strokes/KisMaskedFreehandStrokePainter.cpp
    tool/strokes/KisMaskingBrushRenderer.cpp
    tool/strokes/KisMaskingBrushCompositeOpFactory.cpp
    tool/strokes/move_stroke_strategy.cpp
    tool/strokes/KisNodeSelectionRecipe.cpp
    tool/KisSelectionToolFactoryBase.cpp
    tool/KisToolPaintFactoryBase.cpp
    tool/KisAsyncColorSamplerHelper.cpp

    toolbox/KoToolBox.cpp
    toolbox/KoToolBoxButton.cpp
    toolbox/KoToolBoxDocker.cpp
    toolbox/KoToolBoxFactory.cpp

    widgets/kis_canvas_drop.cpp
    widgets/kis_cmb_composite.cc
    widgets/KisCompositeOpListConnectionHelper.cpp
    widgets/kis_cmb_contour.cpp
    widgets/kis_cmb_gradient.cpp
    widgets/kis_collapsible_button_group.cpp
    widgets/kis_paintop_list_widget.cpp
    widgets/kis_cmb_idlist.cc
    widgets/kis_color_space_selector.cc
    widgets/kis_advanced_color_space_selector.cc
    widgets/kis_cie_tongue_widget.cpp
    widgets/kis_tone_curve_widget.cpp
    widgets/kis_transport_controls.cpp
    widgets/kis_utility_title_bar.cpp
    widgets/kis_curve_widget.cpp
    widgets/KisCurveWidgetConnectionHelper.cpp
    widgets/KisCurveWidgetControlsManager.cpp
    widgets/kis_custom_image_widget.cc
    widgets/kis_image_from_clipboard_widget.cpp
    widgets/kis_filter_selector_widget.cc
    widgets/kis_iconwidget.cc
    widgets/kis_mask_widgets.cpp
    widgets/kis_meta_data_merge_strategy_chooser_widget.cc
    widgets/kis_multi_bool_filter_widget.cc
    widgets/kis_multi_double_filter_widget.cc
    widgets/kis_multi_integer_filter_widget.cc
    widgets/kis_paintop_presets_editor.cpp
    widgets/kis_tool_options_popup.cpp
    widgets/kis_paintop_presets_chooser_popup.cpp
    widgets/kis_paintop_preset_icon_library.cpp
    widgets/kis_pattern_chooser.cc

    widgets/kis_preset_chooser.cpp
    widgets/kis_progress_widget.cpp
    widgets/kis_selection_options.cc
    widgets/kis_scratch_pad.cpp
    widgets/kis_scratch_pad_event_filter.cpp
    widgets/KisSelectionPropertySlider.cpp
    widgets/kis_size_group.cpp
    widgets/kis_size_group_p.cpp
    widgets/kis_wdg_generator.cpp
    widgets/kis_workspace_chooser.cpp
    widgets/kis_categorized_list_view.cpp
    widgets/kis_widget_chooser.cpp
    widgets/kis_tool_button.cpp
    widgets/kis_floating_message.cpp
    widgets/kis_lod_availability_widget.cpp
    widgets/KisLodAvailabilityData.cpp
    widgets/KisLodAvailabilityModel.cpp
    widgets/kis_color_filter_combo.cpp
    widgets/kis_color_label_selector_widget.cpp
    widgets/kis_color_label_button.cpp
    widgets/kis_layer_filter_widget.cpp
    widgets/kis_elided_label.cpp
    widgets/kis_preset_live_preview_view.cpp
    widgets/KisScreenColorSampler.cpp
    widgets/KoDualColorButton.cpp
    widgets/KoStrokeConfigWidget.cpp
    widgets/KoFillConfigWidget.cpp
    widgets/KisLayerStyleAngleSelector.cpp
    widgets/KisMemoryReportButton.cpp
    widgets/KisDitherWidget.cpp
    widgets/KisWarningWidget.cpp
    widgets/KisAutoLevelsWidget.cpp
    widgets/KisHistogramPainter.cpp
    widgets/KisHistogramView.cpp
    widgets/kis_zoom_scrollbar.cpp

    # Gradient related widgets
    widgets/gradient/KisStopGradientEditor.cpp
    widgets/gradient/KisSegmentGradientEditor.cpp
    widgets/gradient/KisStopGradientSlider.cpp
    widgets/gradient/KisSegmentGradientSlider.cpp
    widgets/gradient/KisGradientChooser.cpp
    widgets/gradient/KisGenericGradientEditor.cpp
    widgets/gradient/KisGradientWidgetsUtils.cpp
    widgets/gradient/KisGradientColorEditor.cpp

    KisPaletteEditor.cpp
    dialogs/KisDlgPaletteEditor.cpp

    widgets/KisNewsWidget.cpp
    widgets/KisGamutMaskToolbar.cpp

    utils/kis_document_aware_spin_box_unit_manager.cpp
    utils/KisSpinBoxSplineUnitConverter.cpp
    utils/KisDitherUtil.cpp
    utils/KisFileIconCreator.cpp
    utils/KisRecentDocumentsModelWrapper.cpp
    utils/KisRecentFileIconCache.cpp

    input/kis_input_manager.cpp
    input/kis_input_manager_p.cpp
    input/kis_extended_modifiers_mapper.cpp
    input/kis_abstract_input_action.cpp
    input/kis_tool_invocation_action.cpp
    input/kis_pan_action.cpp
    input/kis_alternate_invocation_action.cpp
    input/kis_rotate_canvas_action.cpp
    input/kis_zoom_action.cpp
    input/kis_change_frame_action.cpp
    input/kis_gamma_exposure_action.cpp
    input/KisPopupWidgetAction.cpp
    input/kis_change_primary_setting_action.cpp
    input/kis_abstract_shortcut.cpp
    input/kis_native_gesture_shortcut.cpp
    input/kis_single_action_shortcut.cpp

=== plugins/paintops/CMakeLists.txt ===
include_directories(libpaintop)

add_subdirectory( libpaintop )
add_subdirectory( defaultpaintops )
add_subdirectory( hairy )
add_subdirectory( deform )
add_subdirectory( curvebrush )
add_subdirectory( spray )
add_subdirectory( filterop )
add_subdirectory( experiment )
add_subdirectory( particle )
add_subdirectory( gridbrush )
add_subdirectory( hatching)
add_subdirectory( sketch )
add_subdirectory( colorsmudge )
add_subdirectory( roundmarker )
add_subdirectory( tangentnormal )

if(LibMyPaint_FOUND)
    add_subdirectory( mypaint )
endif()

=== plugins/dockers/channeldocker/CMakeLists.txt ===
set(KRITA_CHANNELDOCKER_SOURCES
    channelmodel.cpp
    channeldocker.cpp
    channeldocker_dock.cpp
    KisChannelsThumbnailsStrokeStrategy.cpp
)
kis_add_library(kritachanneldocker MODULE ${KRITA_CHANNELDOCKER_SOURCES})
target_link_libraries(kritachanneldocker kritaui)
install(TARGETS kritachanneldocker  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/dockers/gamutmask/CMakeLists.txt ===
set(kritagamutmask_SOURCES
    gamutmask_plugin.cpp
    gamutmask_dock.cpp
    KisGamutMaskChooser.cpp
)

ki18n_wrap_ui(kritagamutmask_SOURCES 
    forms/wdgGamutMaskChooser.ui
)

kis_add_library(kritagamutmask MODULE ${kritagamutmask_SOURCES})
target_link_libraries(kritagamutmask kritaui)
install(TARGETS kritagamutmask DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/dockers/snapshotdocker/CMakeLists.txt ===
set(kritasnapshotdocker_SOURCES
  KisSnapshotModel.cpp
  SnapshotDocker.cpp
  SnapshotPlugin.cpp
  KisSnapshotView.cpp
  )

kis_add_library(kritasnapshotdocker MODULE ${kritasnapshotdocker_SOURCES})
target_link_libraries(kritasnapshotdocker kritaimage kritaui)
install(TARGETS kritasnapshotdocker DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/dockers/storyboarddocker/CMakeLists.txt ===
add_subdirectory(tests)

set(KRITA_STORYBOARDDOCKER_SOURCES
    CommentModel.cpp
    StoryboardUtils.cpp
    StoryboardDockerDock.cpp
    CommentDelegate.cpp
    StoryboardModel.cpp
    StoryboardDelegate.cpp
    StoryboardView.cpp
    KisAsyncStoryboardThumbnailRenderer.cpp
    KisStoryboardThumbnailRenderScheduler.cpp
    DlgExportStoryboard.cpp
    KisAddRemoveStoryboardCommand.cpp
    )

ki18n_wrap_ui(KRITA_STORYBOARDDOCKER_SOURCES
    wdgstoryboarddock.ui wdgarrangemenu.ui wdgcommentmenu.ui wdgexportstoryboard.ui
)

kis_add_library(kritastoryboarddocker_static STATIC ${KRITA_STORYBOARDDOCKER_SOURCES}
)

generate_export_header(kritastoryboarddocker_static BASE_NAME kritastoryboarddocker)

target_link_libraries(kritastoryboarddocker_static kritaui)

kis_add_library(kritastoryboarddocker MODULE StoryboardDocker.cpp)

target_link_libraries(kritastoryboarddocker kritastoryboarddocker_static)

install(TARGETS kritastoryboarddocker  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/dockers/tasksetdocker/CMakeLists.txt ===
set(KRITA_TASKSETDOCKER_SOURCES tasksetmodel.cpp tasksetdocker.cpp tasksetdocker_dock.cpp taskset_resource.cpp)

ki18n_wrap_ui(KRITA_TASKSETDOCKER_SOURCES
    wdgtasksetdocker.ui
)
kis_add_library(kritatasksetdocker MODULE ${KRITA_TASKSETDOCKER_SOURCES})
target_link_libraries(kritatasksetdocker kritaui)
install(TARGETS kritatasksetdocker DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/extensions/dbexplorer/CMakeLists.txt ===
set(kritadbexplorer_SOURCES
    DbExplorer.cpp
    DlgDbExplorer.cpp
    TableModel.cpp
)

ki18n_wrap_ui(kritadbexplorer_SOURCES WdgDbExplorer.ui )

kis_add_library(kritadbexplorer MODULE ${kritadbexplorer_SOURCES})

target_link_libraries(kritadbexplorer
    PRIVATE
        kritaresources
        kritaresourcewidgets
        kritaui
        Qt5::Core
        Qt5::Widgets
        Qt5::Sql
)
install(TARGETS kritadbexplorer DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install(FILES dbexplorer.xmlgui DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)
install(FILES dbexplorer.action DESTINATION ${DATA_INSTALL_DIR}/krita/actions)

=== plugins/extensions/offsetimage/CMakeLists.txt ===
set(kritaoffsetimage_SOURCES 
    offsetimage.cpp 
    dlg_offsetimage.cpp       
    kis_offset_processing_visitor.cpp
)

ki18n_wrap_ui(kritaoffsetimage_SOURCES wdg_offsetimage.ui )
kis_add_library(kritaoffsetimage MODULE ${kritaoffsetimage_SOURCES})
target_link_libraries(kritaoffsetimage kritaui)
install(TARGETS kritaoffsetimage  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  offsetimage.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)

=== plugins/extensions/rotateimage/CMakeLists.txt ===
set(kritarotateimage_SOURCES rotateimage.cc dlg_rotateimage.cc )
ki18n_wrap_ui(kritarotateimage_SOURCES wdg_rotateimage.ui )
kis_add_library(kritarotateimage MODULE ${kritarotateimage_SOURCES})
target_link_libraries(kritarotateimage kritaui)
install(TARGETS kritarotateimage  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  rotateimage.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)

=== plugins/filters/oilpaintfilter/CMakeLists.txt ===
set(kritaoilpaintfilter_SOURCES kis_oilpaint_filter_plugin.cpp kis_oilpaint_filter.cpp )
kis_add_library(kritaoilpaintfilter MODULE ${kritaoilpaintfilter_SOURCES})
target_link_libraries(kritaoilpaintfilter kritaui)
install(TARGETS kritaoilpaintfilter  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== debian/changelog ===
krita (1:5.2.9+dfsg-1build1) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:44:18 -0500

krita (1:5.2.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - python3.13.patch: drop, fixed upstream
  * Drop the python3-legacy-cgi recommend, as upstream switched away from the
    "cgitb" Python module.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2025 20:54:24 +0100

krita (1:5.2.6+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick commit from upstream to fiX FTBFS with Python 3.13 as the
    default interpreter (Closes: #1092074).

 -- Stuart Prescott <stuart@debian.org>  Thu, 09 Jan 2025 01:10:54 +1100

krita (1:5.2.6+dfsg-2) unstable; urgency=medium

  * Recommend python3-legacy-cgi to keep using the legacy "cgitb" Python module
    for now; it is really "required" when using a certain Python plugin, and
    PyQt is a recommend too, so this is the best solution to not make
    python3-legacy-cgi with the current the dependency system available.
    (Closes: #1084630)

 -- Pino Toscano <pino@debian.org>  Wed, 11 Dec 2024 07:33:13 +0100

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev (>= 1.65~),
               libeigen3-dev (>= 3.3.0~),
               libexiv2-dev (>= 0.16~),
               libfftw3-dev,
               libfontconfig-dev (>= 2.13.1~),
               libfreetype-dev (>= 2.11.0~),
               libfribidi-dev,
               libgif-dev,
               libgsl-dev,
               libharfbuzz-dev (>= 4.0.0~),
               libheif-dev (>= 1.11.0~),
               libimmer-dev,
               libjpeg-dev,
               libjxl-dev (>= 0.7.0-1~) [linux-any],
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5kdcraw-dev,
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               libkseexpr-dev (>= 4.0.0.0~),
               liblager-dev,
               liblcms2-dev (>= 2.4~),
               libmlt-dev (>= 7~),
               libmlt++-dev (>= 7~),
               libmypaint-dev (>= 1.4.0~),
#               libopencolorio-dev (>= 1.1.1~),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libquazip5-dev (>= 0.6~),
               libqt5opengl5-dev,
               libqt5svg5-dev (>= 5.12.0~),
               libqt5x11extras5-dev (>= 5.12.0~),
               libsdl2-dev,
               libtiff-dev,
               libturbojpeg0-dev (>= 1:2.1.3~),
               libunibreak-dev (>= 5.0~),
               libwebp-dev (>= 1.2.0~),
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxsimd-dev (>= 8.1.0~) [any-amd64 any-arm64],
               libzug-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sipbuild,
               qtbase5-dev (>= 5.12.0~),
               qtbase5-private-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               sip-tools,
               xtl-dev [any-amd64 any-arm64],
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 5.2.10+dfsg

=== debian/changelog ===
krita (1:5.2.10+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (5.2.10)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 13:10:42 +0100
